// Imports all the required packages for creation of map
import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Map } from './Map';
// Sets width and height
const width = 900;
const height = 600;
// Importing the data.js file over here
const App = () => {
  const data = useData();

  if (!data) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<Apps />, rootElement);