
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';

// Importing required url for the packages and creating a country.
const Url = 'https://raw.githubusercontent.com/deldersveld/topojson/master/countries/united-kingdom/uk-counties.json';
export const useData = () => {
  const [data, setData] = useState(null);
// Creating the map effectively we can use it for our display.
 console.log(data)
    useEffect(() => {
    json(Url).then(topoData => {
      const {GBR_adm2} = topoData.objects;
      setData(feature(topoData,GBR_adm2))
    });
  }, []);
  return data;
  } 